cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
dinaemadeldin
Observer
Observer
388 Views
Registered: ‎07-15-2020

Can't import required packages when using axi_vip

Jump to solution

I try to verify my custom AXI_IP using AXI VIP as AXI4_Lite master , when I try to import the required packages <component_name>_pkg and axi_vip_pkg error appears in vivado as those packages aren't declared

Can any one help me ?

 

Tags (3)
0 Kudos
Reply
1 Solution

Accepted Solutions
florentw
Moderator
Moderator
250 Views
Registered: ‎11-09-2015

Hi @dinaemadeldin 

This is usually only during the syntax checker phase that vivado has some issue finding those files. If the names are correct and you run simulation then simulation will probably happen properly.

Most of the time you can ignore the fact that the syntax checker is saying that the files for the VIP are not found


Florent
Product Application Engineer - Xilinx Technical Support EMEA
**~ Don't forget to reply, give kudos, and accept as solution.~**

View solution in original post

Tags (1)
0 Kudos
Reply
1 Reply
florentw
Moderator
Moderator
251 Views
Registered: ‎11-09-2015

Hi @dinaemadeldin 

This is usually only during the syntax checker phase that vivado has some issue finding those files. If the names are correct and you run simulation then simulation will probably happen properly.

Most of the time you can ignore the fact that the syntax checker is saying that the files for the VIP are not found


Florent
Product Application Engineer - Xilinx Technical Support EMEA
**~ Don't forget to reply, give kudos, and accept as solution.~**

View solution in original post

Tags (1)
0 Kudos
Reply